How to install the Android ADT Plugin in Eclipse?-ThrowExceptions

Exception or error:

I followed the instructions on ADT Plugin for Eclipse but I got this message when installing in Eclipse:

Cannot complete the install because one or more required items could not be found
  Software being installed: Android Development Tools 0.9.9.v201009221407-60953 
      (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953)
  Missing requirement: Android Development Tools 0.9.9.v201009221407-60953
      (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953)
      requires 'org.eclipse.gef 0.0.0' but it could not be found

I have tried with both 64bit and 32bit Eclipse Galileo fresh installs. I am using Windows 7.

Update: I followed the steps on org.eclipse.gef 0.0.0 required for installing Android Development Tools on Eclipse 3.5.1 and installed GEF SDK 3.5.2 but now I got a new similar error message when installing ADT:

Cannot complete the install because one or more required items could not be found
  Software being installed: Android Development Tools 0.9.9.v201009221407-60953 
      (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953)
  Missing requirement: Android Development Tools 0.9.9.v201009221407-60953
      (com.android.ide.eclipse.adt.feature.group 0.9.9.v201009221407-60953)
      requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found

How can I install the Android ADT Plugin for Eclipse 3.5.2 on Windows?

How to solve:

I finally followed the instructions on During installation, there’s an error about requiring org.eclipse.wst.sse.ui. How do I fix that? and installed Google Plugin for Eclipse Galileo, then the installation of Android ADT Plugin worked without any problem, finally.

###

On ubuntu 11 it installs Eclipse 3.7 (indigo). To make it work i had to add http://download.eclipse.org/releases/indigo to the list of sources. After that it worked like a charm.

###

On Windows 7, run Eclipse using As Administrator.

PS: I made it in conjunction with other advices like adding Indigo release URL to available sources and using HTTP instead of HTTPS, and I didn’t tested if all three requirements must be met or the first is sufficient.

###

This worked for me

  1. Go to Help->Install New Software
  2. Go to “Available software sources”
  3. Check all the boxes
  4. Try the official instructions again. http://developer.android.com/sdk/eclipse-adt.html#installing

###

Installing on 3.7 Indigo, I found the plug-in is now called:

WST Server Adapters

org.eclipse.wst.server_adapters.feature.feature.group

###

I got the same message in Galileo then I installed Indigo and it worked although I checked only dev tools and plugins the other two I didn’t install and had some error with those. But the ADT works now.

###

If anyone is upgrading from eclipse 3.6 and they’ve copied (overwritten or merged) their directories you will get a conflicting dependency error and ADT won’t install.
Make sure you go back , delete eclipse, unzip the new eclipse fresh to the new location and run it!
Worked for me!

###

You shoud set your computer’s connection to no proxy, and run eclipse as administrator

Leave a Reply

Your email address will not be published. Required fields are marked *